=== debian/changelog ===
healpy (1.16.1-1) unstable; urgency=medium

  * New upstream version 1.16.1
  * Push Standards-Version to 4.6.1. No changes needed.
  * Remove unneeded python3-six build dependency
  * Import setuptools before distutils setuptools for Cython compatibility
    (Closes: #1022486)

 -- Ole Streicher <olebole@debian.org>  Tue, 01 Nov 2022 15:44:46 +0100
