## healpy 1.16.6

=== debian/changelog ===
healpy (1.16.6-2) unstable; urgency=medium

  * Team upload.
  * d/rules: skip two doctests on i386 due to minute rounding errors.
  * d/control: pkg-config is now pkgconf.
  * t/tests/python3-healpy: always skip the 2 broken doctests from
    above.
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  Use secure URI in Homepage field.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Mar 2024 13:35:19 +0100

healpy (1.16.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.6. Closes: #1056805
  * Rediff patches
  * Push Standards-Verson to 4.6.2. No changes needed.
  * Replace Upstream-Source with Source in d/copyright
  * Remove leading slash in d/install
  * Add new python3-setuptools-scm build dependency

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Dec 2023 17:54:47 +0100
