=== debian/control ===
Source: healpy
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Section: python
Priority: optional
Build-Depends: cython3,
               python3-setuptools,
               python3-setuptools-scm,
               python3-all-dev,
               python3-matplotlib,
               python3-numpy,
               python3-astropy,
               python3-pytest,
               python3-pytest-cython,
               python3-pytest-doctestplus,
               python3-pytest-runner,
               python3-scipy,
               debhelper-compat (= 13),
               dh-sequence-python3,
               libcfitsio-dev,
               libsharp-dev,
               libhealpix-cxx-dev (>= 3.80.0-4),
               pkgconf
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
Homepage: https://healpy.readthedocs.org
Rules-Requires-Root: no

Package: healpy-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: python-healpy-data
Provides: python-healpy-data
Replaces: python-healpy-data
Description: HEALPix representation of spherical data - Python data
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides platform-independent data and test files for the Python
 wrapper around the C++ implementation of HEALPix.

Package: python3-healpy
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-astropy,
         python3-matplotlib,
         python3-numpy,
         python3-scipy,
         healpy-data
Description: HEALPix representation of spherical data - Python3 interface
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides a Python3 wrapper around the C++ implementation of
 HEALPix.
