=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=healpy
export PYBUILD_TEST_ARGS=--doctest-modules
ifeq (i386,$(DEB_HOST_ARCH))
export PYBUILD_TEST_ARGS=-k "not (healpy.pixelfunc.nside2pixarea or healpy.pixelfunc.nside2resol)"
#rounding error
endif

# Enable build hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_shlibdeps:
	dh_numpy3

matplotlibrc:
	echo backend: agg > $@

override_dh_auto_test: matplotlibrc
	PYTHONDONTWRITEBYTECODE=yes dh_auto_test

# After installing, remove data directories that we will replace with symlinks
execute_after_dh_install:
	rm -rf debian/python*-healpy/usr/lib/python*/dist-packages/healpy/data debian/python*-healpy/usr/lib/python*/dist-packages/healpy/test/data

# Fix permissions on data files
execute_before_dh_fixperms-indep:
	find debian/healpy-data/usr/share/healpy -type f | xargs chmod -x
