## healpy 1.18.0

=== debian/changelog ===
healpy (1.18.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:49:02 +0000

healpy (1.18.0-1build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Jan 2025 09:36:12 +0000

healpy (1.18.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1079675
  * Rediff patches.
  * Update Standards-Version to 4.7.0.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 05 Dec 2024 22:39:47 -0500
