=== debian/control ===
--- 
+++ 
@@ -13,15 +13,14 @@
                python3-pytest,
                python3-pytest-cython,
                python3-pytest-doctestplus,
-               python3-pytest-runner,
                python3-scipy,
                debhelper-compat (= 13),
                dh-sequence-python3,
                libcfitsio-dev,
                libsharp-dev,
-               libhealpix-cxx-dev (>= 3.80.0-4),
+               libhealpix-cxx-dev (>= 3.83.0),
                pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
 Homepage: https://healpy.readthedocs.org
