=== debian/tests/control ===
Tests: python3-healpy
Depends: @, python3-pytest, python3-pytest-cython, python3-pytest-doctestplus
