=== debian/changelog ===
healpy (1.18.1-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:44:12 +0000

healpy (1.18.1-2) unstable; urgency=medium

  * Team upload.
  * Update location of version.py in d/clean (Closes: #1101616, #1044796)

 -- Ole Streicher <olebole@debian.org>  Mon, 31 Mar 2025 18:18:47 +0200

healpy (1.18.1-1) unstable; urgency=medium

  * New upstream release. Closes: 1100222
  * Rediff patches.
  * Fix autopkgtest.
  * Don't install healpy_get_wmap_maps.sh script.
  * Update Standards-Version to 4.7.2.
  * Add missing build dependencies on python3-numpy-dev and
    pybuild-plugin-pyproject.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 28 Mar 2025 10:42:28 -0400
