=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Section: python
 Priority: optional
 Build-Depends: cython3,
+               pybuild-plugin-pyproject,
                python3-setuptools,
                python3-setuptools-scm,
                python3-all-dev,
                python3-matplotlib,
                python3-numpy,
+               python3-numpy-dev,
                python3-astropy,
                python3-pytest,
                python3-pytest-cython,
@@ -20,7 +22,7 @@
                libsharp-dev,
                libhealpix-cxx-dev (>= 3.83.0),
                pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
 Homepage: https://healpy.readthedocs.org
