=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 # After installing, remove data directories that we will replace with symlinks
 execute_after_dh_install:
-	rm -rf debian/python*-healpy/usr/lib/python*/dist-packages/healpy/data debian/python*-healpy/usr/lib/python*/dist-packages/healpy/test/data
+	rm -rf debian/python*-healpy/usr/lib/python*/dist-packages/healpy/data
 
 # Fix permissions on data files
 execute_before_dh_fixperms-indep:
