=== debian/tests/control ===
Tests: python3-healpy
# FIXME: remove python3-pkg-resources once
# https://github.com/lgpage/pytest-cython/pull/72 is fixed
Depends: @, python3-pytest, python3-pytest-cython, python3-pytest-doctestplus, python3-pkg-resources
