=== debian/watch ===
version=4
https://pypi.debian.net/healpy/healpy-(\d+(?:\.\d+)*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
