## healpy 1.19.0

=== debian/changelog ===
healpy (1.19.0-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: remove dependency on python3-pkg-resources (Closes: #1125865)
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Depends on fixed python3-pytest-cython
  * Fix syntax glitch in d/watch

 -- Alexandre Detiste <tchet@debian.org>  Tue, 10 Feb 2026 07:26:15 +0100

healpy (1.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 06 Jan 2026 20:50:39 -0500
