=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Leo Singer <leo.singer@ligo.org>
 Section: python
-Priority: optional
 Build-Depends: cython3,
                pybuild-plugin-pyproject,
                python3-setuptools,
@@ -12,8 +11,9 @@
                python3-numpy,
                python3-numpy-dev,
                python3-astropy,
+               python3-requests,
                python3-pytest,
-               python3-pytest-cython,
+               python3-pytest-cython (>= 0.3.1-2~),
                python3-pytest-doctestplus,
                python3-scipy,
                debhelper-compat (= 13),
@@ -22,11 +22,10 @@
                libsharp-dev,
                libhealpix-cxx-dev (>= 3.83.0),
                pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
 Homepage: https://healpy.readthedocs.org
-Rules-Requires-Root: no
 
 Package: healpy-data
 Architecture: all
