=== debian/tests/control ===
Tests: python3-healpy
Depends: @, python3-requests, python3-pytest, python3-pytest-cython (>= 0.3.1-2~), python3-pytest-doctestplus
