=== debian/watch ===
Version: 5

Source: https://pypi.python.org/packages/source/h/healpy/
Matching-Pattern: healpy-@ANY_VERSION@@ARCHIVE_EXT@
